Subject: Re: cygwin/Perl and Win32:: package(s)
From: [email-masked]
To: Clive Nicolson <[email-masked]>
Cc: [email-masked]
Date: Thu, 23 May 2002 20:49:15 +0000

> I have been developing a Perl script under Linux and 
cygwin (under Win 98)
> that is to run under a native version of Perl on a Win 
2000 system.
> 
> I have Linux and Win98 at home/work but not Win 2000. 
Perl is 5.6.1 .
> 
> I decided it would be nice to add code using 
Win32::Registry to my Perl script
> and found that I could not get Win32::Registry (or any 
of it's friends) to
> install under cygwin/Win98. So I (foolishly) started 
looking into this.

Yes, I am curious, because at the start of your article 
you explain that you were looking to code something (the 
reader has no idea what) "to run under a native Perl on 
Win 2000". Then suddenly you were working in CygwinPerl 
which isn't native to anything but *NIX. What brought 
that about? Does this change of direction just mean that 
you wanted your Perl application to be more broadly 
portable? Or did you actually decide to abandon 
ActivePerl (I assume that your 'native Windows Perl in 
ActivePerl) for some reason?

> I've got many of the sub packages to compile,link and 
in some cases 
> partially run. I've still got some work to do for it 
to build "out of the box".
> 
> Some of these sub packages will probably never build 
under Win 98, some 
> are of no use under cygwin.

I run Win98 as well as WinNT and I hope that they'll at 
least run under Win98, if not build there.

> I have identified most of the problems in building 
Win32::... under cygwin
> and found solutions for most.

That's a considerable achievement and you are to be 
lauded for it.

> Is anyone interested in this sort of work, 
particularly the cygwin Perl
> maintainer(s), I could do with some assistance and 
guidance!

That would be Gerrit Haase, who I see from later follow-
up is interested, and I certainly am as well. I would 
appreciate it if you could keep me informed, and if we 
could collaborate on this work. I might not be able to 
contribute test building effort right away as I am 
throat-deep in getting ImageMagick and libpng to be very 
Cygwin-amenable, but soon ... fingers crossed.

  Best Regards,
     Soren Andersen

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/